Subject: Re: [PATCH 1/2] bonding: fix rtnl locking merge error

From: Moni Shoua <[email-masked]>
Date: Wed, 07 Nov 2007 16:45:23 +0200

Jay Vosburgh wrote:
> 	Looks like I incorrectly merged one of the rtnl lock changes,
> so that one function, bonding_show_active_slave, held rtnl but didn't
> release it, and another, bonding_store_active_slave, never held rtnl but
> did release it.
> 
> 	Fixed so the first function doesn't mess with rtnl, and the
> second correctly acquires and releases rtnl.
> 
> 	Bug reported by Moni Shoua <[email-masked]>

I ran some shallow tests and it seems that the patch fixes  the problem.

thanks